(function(){
	var ns = __namespace( "Astro.Blog.Layout.TwoColumn" );

	/** @type {Dandelion} */
	var Dand                                          = __import( "Dandelion" );
	/** @type {Astro.Bootstrap} */
	var Bootstrap                                     = __import( "Astro.Bootstrap" );

	var init = function ()
	{
		var rspd = Dand.id( "dockright", true );
		if( rspd )
		{
			BotanJS.addEventListener( "Responsive"
				/** e @type {Astro.Blog.Events.Responsive} */
				, function( e ) {
				rspd.foreach(
					document.ELEMENT_NODE
					, e.data.ratio < 1
						? function( elem ) { elem.style.width = "100%"; }
						: function( elem ) { elem.style.width = ""; }
				);
			});
		}
	};

	Bootstrap.regInit( init );
})();
